## org.eclipse.m2m.atl.adt.ui.text.atl.types
Class OclAnyType

    java.lang.Object
      org.eclipse.m2m.atl.adt.ui.text.atl.types.OclAnyType

Direct Known Subclasses:
  BooleanType, CollectionType, IntegerType, MapType, ModelElementType, OclType, RealType, StringType, TupleType, UnitType

    public class OclAnyType

extends java.lang.Object

The ATL OclAny type.

Field Summary
`protected OclType` `oclType`

Constructor Summary
`protected` `OclAnyType(OclType oclType)` Creates a new type using the given oclType.

Method Summary
`static OclAnyType` `create(AtlSourceManager manager, org.eclipse.emf.ecore.EObject atlType)` Maps any object to the matching OclAnyType.
`boolean` `equals(java.lang.Object obj)`
`java.util.List<Feature>` `getFeatures()`
`static OclAnyType` `getInstance()` Returns the OclAny type singleton.
`OclType` `getOclType()`
`java.util.Set<Operation>` `getOperations()` Returns an aggregation of the current type operation and the supertype's ones.
`OclAnyType[]` `getSupertypes()`
`protected java.util.List<Operation>` `getTypeOperations()` Return the local type operations.
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### oclType

    protected OclType oclType

Constructor Detail

### OclAnyType

    protected OclAnyType(OclType oclType)

  Creates a new type using the given oclType.

  Parameters:
    `oclType` - the ocl type

Method Detail

### getOclType

    public OclType getOclType()

### getSupertypes

    public OclAnyType[] getSupertypes()

### getFeatures

    public java.util.List<Feature> getFeatures()

### getOperations

    public java.util.Set<Operation> getOperations()

  Returns an aggregation of the current type operation and the supertype's ones.

  Returns:
    an aggregation of the current type operation and the supertype's ones

### getTypeOperations

    protected java.util.List<Operation> getTypeOperations()

  Return the local type operations. Subclasses may override this method to add their own operation to the supertypes's ones.

  Returns:
    the operations

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`
  See Also:
    `Object.hashCode()`

### getInstance

    public static OclAnyType getInstance()

  Returns the OclAny type singleton.

  Returns:
    the OclAny type singleton

### create

    public static OclAnyType create(AtlSourceManager manager,
                                    org.eclipse.emf.ecore.EObject atlType)

  Maps any object to the matching OclAnyType. Returns the `OclAnyType` instance if not resolved.

  Parameters:
    `manager` - the source manager
    `atlType` - the atl object
  Returns:
    the type

Copyright 2007 IBM Corporation and others. All Rights Reserved.